<?php

	
	lt_include( PLOG_CLASS_PATH."class/config/config.class.php" );
lt_include( PLOG_CLASS_PATH."class/logger/loggermanager.class.php" );
	
	/**
	 * simple class that logs a message to the standard log file, but only if enabled
	 *
	 * @see LoggerManager
	 */
	class AtomLogger
	{
		/**
		 * logs a simple message to the log file, using the "debug" priority"
		 */
		function Log( $message ) 
		{
			$config =& Config::getConfig();
			if( $config->getValue( "atom_logging_enabled" )) {
				$logger =& LoggerManager::getLogger();
				$logger->debug( $message );		
			}
		}
	}
?>